List Calendars
curl --request GET \
--url https://integration.getmateo.com/api/v1/calendar \
--header 'Authorization: Bearer <token>'import requests
url = "https://integration.getmateo.com/api/v1/calendar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integration.getmateo.com/api/v1/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "virtual",
"external_id": "<string>"
}
]Calendar
List Calendars
Retrieve a list of calendars
List Calendars
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Calendar ID
Creation date
Latest update
Organisation ID
Name of the calendar
Calendar type (virtual or provider). Only virtual calendars can be created via the API.
External ID
Filtering Columns
Ordering. Allowed Fields: created_at, updated_at, name
Limiting and Pagination
Limiting and Pagination
Response
200 - application/json
OK
Calendar ID
Creation date
Latest update
Organisation ID
Name of the calendar
Calendar type (virtual or provider). Only virtual calendars can be created via the API.
Available options:
virtual, provider External ID